"""Top-level package for scabbard."""

__author__ = """Boris Gailleton"""
__email__ = 'boris.gailleton@univ-rennes.fr'
__version__ = '0.0.6'

TTB_AVAILABLE = False

# Legacy imports
from .config import *
from .enumeration import *
from .utils import *
from .shape_functions import *
from .lio import *
from .fastflood import *
from .geography import *
from .grid import *
from .Dax import *
from .Dfig import *
from .Dplot import *
from .graphflood import *
from .phineas import *
from .graphflood_helper import *
from .environment import *
from .blendplot import *
from .local_file_picker import *


# New module-type import system
from . import _utils as ut
from . import raster
from . import riverdale
from . import steenbok
from . import riverdale as rvd
from . import steenbok as ste
from . import filters
from . import flow
from . import visu
from . import io


try:
	# Common import centralised
	import topotoolbox as ttb
	TTB_AVAILABLE = True
except:
	pass
